#### D.12.2.1 round

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  round(r);

Return:
  the nearest number to r out of Z

Assume:
  r should be a rational or a real number

Example:

    LIB "crypto.lib";
    ring R = (real,50),x,dp;
    number r=7357683445788723456321.6788643224;
    round(r);
    ==> 7357683445788723456322

User manual for Singular version 4.4.1, 2025, generated by texi2html.